group "BuyerSeller.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 15 locations

Content Model Diagram

Complex Content Model
buyerPartyReference, buyerAccountReference?, sellerPartyReference, sellerAccountReference?

Content Model Elements (4):

  buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), | sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

Known Usage Locations

- In definitions of global complexTypes (15):
  CancelableProvision, CommodityOption, CommoditySwaption, EquityDerivativeBase, ExtendibleProvision, Fra, FxFlexibleForward, GeneralTerms, GenericProduct, InstrumentTradeDetails, Option, ReturnSwapBase, SinglePartyOption, Swaption, TradeUnderlyer2

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="BuyerSeller.model"> <xsd:sequence> <xsd:element name="buyerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="buyerAccountReference" type="AccountReference"/> <xsd:element name="sellerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="sellerAccountReference" type="AccountReference"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
buyerAccountReference

  Type: | AccountReference, empty content

  A reference to the account that buys this instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyerAccountReference" type="AccountReference"/>

buyerPartyReference

  Type: | PartyReference, empty content

  A reference to the party that buys this instrument, ie. pays for this instrument and receives the rights defined by it. See 2000 ISDA definitions Article 11.1 (b). In the case of FRAs this the fixed rate payer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="buyerPartyReference" type="PartyReference"/>

sellerAccountReference

  Type: | AccountReference, empty content

  A reference to the account that sells this instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sellerAccountReference" type="AccountReference"/>

sellerPartyReference

  Type: | PartyReference, empty content

  A reference to the party that sells ("writes") this instrument, i.e. that grants the rights defined by this instrument and in return receives a payment for it. See 2000 ISDA definitions Article 11.1 (a). In the case of FRAs this is the floating rate payer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="sellerPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.